.create-event-form {
    max-width: 120ch;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-areas:
        "basics basics"
        "language-section language-section"
        "contact-section contact-section"
        "submit submit";

    .basics,
    .language-section,
    .contact-section {

        --grid-column-gap: 1.6em;

        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-auto-flow: row;
        gap: 0.6em var(--grid-column-gap);

        @media (max-width: 768px) {
            grid-template-columns: 1fr;
        }

        .form-control,
        .date-picker {
            width: 100%;
        }

        .form-control-title,
        .form-control-location {

            /* Attention: Flipped condition */
            @media (min-width: 768px) {
                width: calc(50% - var(--grid-column-gap) / 2)
            }
        }

        h3,
        h4,
        p,
        .form-control-description,
        .create-event-selector,
        .form-control-title,
        .form-control-location {
            grid-column: 1 / span 2;

            @media (max-width: 768px) {
                grid-column: auto;
            }
        }
    }

    .form-control-description,
    button[type=submit] {
        margin-top: 1em;
    }

    .basics {
        grid-area: basics;

        .clearable-date-picker {
            .icon-button {
                padding: 0;
            }
        }
    }

    .language-section {
        grid-area: language-section;
    }

    .contact-section {
        grid-area: contact-section;
    }

    .MuiFormControl-root {
        width: max-content;
    }

    .create-event-selector>.MuiGrid-container {
        display: flex;

        .chip {
            margin: 0 0.5em 0.5em 0;
        }
    }

    .contact-section {
        margin-bottom: 1em;
    }

    button[type="submit"] {
        width: max-content;
        max-width: 300px;
        grid-area: submit;
    }

    h4 {
        margin-top: 0.4em;
        margin-bottom: 0.2em;
    }

    h3 {
        margin-top: 0.6em;
        margin-bottom: 0.3em;
    }
}